// 
//  пример простейшего кода для обработки последовательности
// 

// прототипы функций
#include "sequence-mean.h"
void TestMeanCalculation (const char * filename);


// тест обработки последовательности
void TestMeanCalculation (const char * filename)
{
   FILE *f;   // указатель на файл данных
   double s1, s2;  // искомое среднее арифметическое
   int ret;    // индикатор успешности

   // доступ к файлу
   f = fopen(filename,"r");
   if (!f) {
      fprintf(stderr, "Error opening file %s\n", filename);
      return; 
   }

   // обработка файла и вывод результата
   ret = ProcessSequence_Mean1(f, &s1);
   if (ret == 0) {
       printf("The mean1 = %f\n",s1);
   } else {
       printf("No valid data in file %s\n",filename);
   }
   rewind(f);
   ret = ProcessSequence_Mean2(f, &s2);
   if (ret == 0) {
       printf("The mean2 = %f\n",s2);
   } else {
       printf("No valid data in file %s\n",filename);
   }

   // освобождение захваченных ресурсов
   fclose(f);
}


int main(void)
{
    TestMeanCalculation ("input.txt");
    TestMeanCalculation ("nofile.txt");
    TestMeanCalculation ("input0.txt");
    TestMeanCalculation ("input1.txt");
    TestMeanCalculation ("input2.txt");

    return 0;
}











